Релиз NetBeans IDE 7.2 Beta



    Сегодня всех любителей IDE NetBeans порадовали новым релизом, содержащим довольно много интересных и очень полезных новшеств.

    Пока новая версия IDE в состоянии Beta (релизную обещают в июне), но, как говорят сами разработчики, зачем ждать, если новыми возможностями можно воспользоваться уже сегодня?

    Наиболее значимые изменения включают в себя поддержку различных PHP фреймворков, улучшенную поддержку Groovy, интеграцию Scene Builder в JavaFX, а также множество других улучшений в Java EE, Maven, C/C+ + и платформы NetBeans. Назовем наиболее интересные из них.

    Java

    • Поддержка FindBugs
    • Поддержка библиотеки для теститрования TestNG
    • Новые рефакторинг и подсказки
    • Различные улучшения для Maven


    Java EE

    • Поддержка Oracle Public Cloud и Amazon Elastic Beanstalk
    • Больше подсказок редактора для EJB и CDI
    • Улучшенная и обновленная поддержка JSF компонентов


    JavaFX

    • Интеграция Scene Builder
    • Улучшенная поддержка FXML and JavaFX CSS


    PHP

    • Поддержка Symfony2, Doctrine2 and ApiGen фреймворков
    • Удаленная FTP синхронизация
    • Улучшена работа PHP редактора: поддержка аннотаций, редактирование Neon and Apache конфигурационных фалов и многое другое.


    Groovy and Grails

    • Поддержка Groovy 1.8.6
    • Значительно улучшена работа с редактором: подсказки, завершение кода и многое другое


    C/C++

    • Поддержка стандарта C++11
    • Улучшена работа с GDB


    Кроме того:

    • Поддержка Subversion 1.7
    • Улучшен функционал поиска по проектам
    • 64-bit версия лаунчера для Windows


    Также разработчики пообещали существенное улучшение производительности, еще более умный редактор, ну и, конечно, пофиксили баги, которые были обнаружены.

    Здесь найдете более подробное описание всех новшеств, а самое-самое подробное описание с кучей скринов обнаружите здесь.
    А тут можно скачать саму IDE. Имеется также и русскоязычная версия.
    AdBlock has stolen the banner, but banners are not teeth — they will be back

    More
    Ads

    Comments 29

      0
      Включить модуль JavaME/JavaEE мне, так и не удалось.
        0
        А какую сборку качали? Случайно не SE? Если все же качали All in One, то можете запустить инсталлятор и доставить необходимые пакеты.
          0
          All In One сборка. Ставил всё необходимое, но активировать модули никак. В багтрекере уже давно висит подобная проблема, но, по-видимому, заняты сейчас не этим. Придётся пока довольствоваться версия 7.1.2.
            0
            Not all requested modules can be enabled — возникает в случае, когда нет какого-нибудь пакета, он не поставлен или по какой-то причине исчез. В принципе, пакеты, которые ide пытается найти, у вас на экране, можно ради интереса посмотреть, чего же ей все-таки не достает до полного счастья.
          +1
          Ubuntu 12.04 LTS



          0
          обидно что в 7й линейке они перестали поддерживать Ruby, Aptana Rad Rails (единственная бесплатная ide что я нашел) все таки не дотягивает, кто еще что может посоветовать из бесплатных?
            0
            Да, к сожалению, пока это так.
            Due to limited engineering resources, no further development and support for Ruby on Rails is planned.

            However, we strongly encourage our community of NetBeans Ruby users and developers to volunteer to take on development of Ruby on Rails support for the NetBeans ID
              +1
              Я использую Sublime Text 2 и Вам рекомендую.
                0
                Заинтересовало. Конечно, ide заменить никак не сможет, но в качестве редактора, возможно, стоит обратить внимание.
                Есть пару вопросов, раз уж вы ее используете:
                Sublime Text 2 may be downloaded and evaluated for free, however a license must be purchased for continued use. There is currently no enforced time limit for the evaluation.

                Этим авторы тонко намекают, что пока можете использовать свободно, но в будущем лицензия вам скорее всего пригодится?

                И еще: кроме подсветки синтаксиса для языков есть ли какие-либо подсказки, автозавершения и тд.?
                  +1
                  Ну первая версия очень давно распространяется так же. Лично я купил лицензию уже через неделю использования, очень понравилась.

                  Кроме подсветки есть очень многое, начиная с поддержки TextMate bundles и плагинов на Python, и заканчивая мелочами наподобие fuzzy file finder. Автозавершение есть наподобие вимовского (не интеллектуальное).
                    +1
                    Основное преимущество — быстрая и удобная (режимы полного экрана и т.д.). Остальное познается в процессе (проекты, билды и прочая).
                      0
                      Спасибо за информацию, буду смотреть.
              +2
              Жаль Yii пока не прикрутили =\ А я за него голосовал
                0
                Я честно говоря зашел в топик что бы посмотреть что поменялось в PHP и нет ли там Yii.

                P.S За Yii тоже голосовал
                0
                После приобретения oracle IDE начала очень активно развиваться, сужу как пользователь php-шной версии. Огреши в поддержке traits ещё попадаются, но многие «мелочи» радуют очень сильно, например, форматирование массивов.
                  0
                  Да она и до приобретения развивалась более чем активно. Справедливости ради, после приобретения Oracle сократила многие команды, закрыла некоторые сервисы, касаемо netbeans, была вполне себя реальная угроза закрытия, ведь у Oracle уже была своя IDE — JDeveloper. Так что, как именно повлияло поглощение — это еще вопрос.
                  0
                  JavaFX — Интеграция Scene Builder

                  Под Linux работает?
                    +1
                    Работает.

                      0
                      То, что стандартый скрин настройки Scene Builder присутствует в самой NetBeans (и конечно-же доступен на любой платформе) еще не значит, что сам Scene Builder работает под Linux.

                      Пока-что он доступен только для Windows/MacOSX (и то лишь — Developer Preview): убеждаемся здесь.
                      0
                      Конечно, работает. А почему оно не должно работать?)
                        0
                        Потому, что Scene Builder пока-что доступен только для Windows/MacOSX. Можете взглянуть сами.
                          0
                          Как минимум это было бы странно со стороны разработчиков, если бы не включили это в версию для linux. А что мешает самому посмотреть?
                            0
                            > А что мешает самому посмотреть?

                            Мне — ничего :) Как я уже упомянул ранее — Scene Builder пока-что для Linux не доступен даже в Developer Preview версии.

                            > Как минимум это было бы странно со стороны разработчиков, если бы не включили это в версию для linux.

                            Не включили что именно? Опцию для указания «Scene Builder Home» пути? :) Опция то есть, но вот указать путь к домашней директории Scene Builder под Linux — все-равно не получится, т.к. сам Scene Builder для Linux — неоткуда взять (пока-что).

                            Я все-же полагаю, что под вопросом «работает ли интеграция Scene Builder в NetBeans под Linux» имелось ввиду не «доступна ли опция для указания пути к директории Scene Builder в настройках NetBeans», а все-же «возможно ли вообще использовать эту фичу в Linux»…
                              0
                              К релизу наврняка всё допилят и для Linux.
                                0
                                Релиз JavaFX 2 для Linux как и релиз Scene Builder (тут про Linux не уточнаятся) запланирован только на конец года :-(
                      –2
                      Не пофиксили search & replace для selected area. Её просто нет=(
                      Ну Семён Семёныч…
                        +1
                        Не зря голосовал за Symfony 2, но по функционалу походу сильно проигрывает эклипсовскому symfony.dubture.com
                          0
                          А поддержки Codeigniter так и нет… image
                            0
                            Лучше уж поздно, чем никогда.
                            PHP:
                            поддержка 5.4

                            JavaScript:

                            поддержка jQuery

                            Only users with full accounts can post comments. Log in, please.